# Get order by ID Consult all order information using the ID obtained in the response to its creation, as long as it was created less than 3 months ago. In case of success, the request will return a response with status 200. **GET** `/v1/orders/{order_id}` ## Request parameters ### Path - `order_id` (string, required) Order ID returned in the response to the request made for its creation. ## Response parameters - `id` (string, optional) Identifier of the order created in the request, automatically generated by Mercado Pago. - `user_id` (string, optional) ID of the Mercado Pago account that created the order. - `type` (string, optional) Order type. Possible enum values: - `point` Order created for Mercado Pago Point payments. - `external_reference` (string, optional) It is the external reference of the order, assigned when creating it. he maximum allowed limit is 64 characters, and the allowed characters are: uppercase and lowercase letters, numbers, and the symbols hyphen (-) and underscore (_). - `expiration_time` (string, optional) Indicates the validity period of the payment order from its creation. During this time, the order will be available for processing by the customer; if it is not processed within the specified period, it will automatically expire and cannot be used, requiring the generation of a new payment order to continue. The minimum allowed value is 30 seconds (PT30S) and the maximum is 3 hours (PT3H). Usage examples: for a 30-second expiration: " PT30S ", for 10 minutes: " PT10M ", and for 1 hour and 15 minutes: " PT1H15M ". - `processing_mode` (string, optional) Indicates how the order will be processed. For Point orders, the only allowed value is "automatic", that sets the order to be ready to process. - `description` (string, optional) Description of the product or service purchased, the reason for the payment order. - `country_code` (string, optional) Identifier of the site (country) to which the Mercado Pago application that created the order belongs. - `integration_data` (object, optional) Contains information about the Mercado Pago application that created the order. - `integration_data.application_id` (string, optional) Identifier of the Mercado Pago application that created the order. - `integration_data.platform_id` (string, optional) Identifier of the platform, assigned by Mercado Pago. - `integration_data.integrator_id` (string, optional) Identifier of the user who develops the integration that creates the order, assigned by Mercado Pago. - `integration_data.sponsor` (object, optional) - `integration_data.sponsor.id` (string, optional) Mercado Pago's USER_ID of the integrator system. - `status` (string, optional) Current status of the order or the transaction. Possible enum values: - `created` The order has been succesfully created. - `at_terminal` The order was obtained by the terminal and is ready for process. - `canceled` The order has been canceled, either through the API or the terminal. - `processed` All transactions have been succesfully processed. - `failed` An error occurred in the processing of the order. It may be due to sending incorrect data, risk of fraud, or rejections by the issuing entity of the payment method. - `refunded` The order has been succesfully refunded. - `action_required` The transaction associated with the order needs to be confirmed. Check the terminal to verify the final status and make sure to update your system accordingly, as this is a status that will not be changed. - `status_detail` (string, optional) Current status of the order or the transaction. Possible enum values: - `created` The order has been succesfully created. - `at_terminal` The order was obtained by the terminal and is ready for process. - `canceled` The order has been canceled. - `processed` All transactions have been succesfully processed. - `failed` An error occurred in the processing of the order. It may be due to sending incorrect data, risk of fraud, or rejections by the issuing entity of the payment method. - `refunded` The order has been succesfully refunded. - `action_required` The associated transaction needs to be confirmed, please check the terminal to verify the final status. - `created_date` (string, optional) Order's creation date, in "yyyy-MM-ddTHH:mm:ss.sssZ" format. - `last_updated_date` (string, optional) Order's las update date, in "yyyy-MM-ddTHH:mm:ss.sssZ" format. - `config` (object, optional) Order type configuration. - `config.point` (object, optional) Point order configuration. - `config.point.terminal_id` (string, optional) Identifier of the terminal that will obtain the order. You must send it according to the following format: "type of terminal + "__" + terminal serial", as in the following example: "NEWLAND_N950__N950NCB801293324". The serial number can be found on the rear label of the terminal. - `config.point.print_on_terminal` (string, optional) Indicates whether the terminal should print the receipt of the transaction. Its default value will be "seller_ticket". Possible enum values: - `seller_ticket` Value that determines the printing of the ticket for the seller. - `no_ticket` Value that determines that the ticket must not be printed. - `config.payment_method` (object, optional) Order's payment method configuration. - `config.payment_method.default_type` (string, optional) Indicates the payment method that the terminal will accept. By default, it will accept all payment methods and will allow the customer to select the payment method they want. If not, the possible values ​​are the following: Possible enum values: - `debit_card` The terminal will accept debit and credit card payments. - `credit_card` The terminal will accept debit and credit card payments. - `transactions` (object, optional) Contains information about the transaction associated with the order. - `transactions.payments` (array, optional) Contains information about the payment associated with the order. - `transactions.payments[].id` (string, optional) Identifier of the payment transaction created in the request, automatically generated by Mercado Pago. - `transactions.payments[].amount` (string, optional) Payment amount. - `transactions.payments[].refunded_amount` (string, optional) Refund amount. If the payment was tips, that amount will be reflected. - `transactions.payments[].tip_amount` (string, optional) Tip amount, sent from the terminal when making the payment. - `transactions.payments[].paid_amount` (string, optional) It is the total paid amount. If the payment was tips, that amount will be reflected. - `transactions.payments[].status` (string, optional) Current status of the order or the transaction. Possible enum values: - `created` The order has been succesfully created. - `at_terminal` The order was obtained by the terminal and is ready for process. - `canceled` The order has been canceled, either through the API or the terminal. - `processed` All transactions have been succesfully processed. - `failed` An error occurred in the processing of the order. It may be due to sending incorrect data, risk of fraud, or rejections by the issuing entity of the payment method. - `refunded` The order has been succesfully refunded. - `action_required` The transaction associated with the order needs to be confirmed. Check the terminal to verify the final status and make sure to update your system accordingly, as this is a status that will not be changed. - `transactions.payments[].status_detail` (string, optional) Current status of the order or the transaction. Possible enum values: - `created` The order has been succesfully created. - `at_terminal` The order was obtained by the terminal and is ready for process. - `check_on_terminal` The transaction requires confirmation on the terminal to verify whether the payment was approved or declined. - `canceled` The order has been canceled. - `canceled_by_api` The order has been canceled through the API. - `canceled_on_terminal` The order has been canceled through the terminal. - `accredited` The order has been successfully processed. - `failed` An error occurred in the processing of the order. It may be due to sending incorrect data, risk of fraud, or rejections by the issuing entity of the payment method. - `refunded` The order has been succesfully refunded. - `amount_limit_exceeded` The transaction could not be completed because it exceeded the card limit. - `bad_filled_card_data` The transaction could not be completed because there was an error with the card details. - `required_call_for_authorize` The transaction failed because a call for authorization is needed. - `card_disabled` The card is disabled. - `high_risk` The transaction failed because a risk of fraud was detected. - `insufficient_amount` The card has insufficient amounts to make the transaction. - `invalid_installments` Invalid number of installments to make the transaction. - `max_attempts_exceeded` The maximum number of attempts allowed has been exceeded. - `processing_error` An error has been detected and is being processed. - `in_review` The status of the transaction should be reviewed to identify whether it was processed or failed. - `transactions.payments[].reference_id` (string, optional) ID of the payment associated with the order. - `transactions.payments[].payment_method` (object, optional) Information about the payment method selected for the transaction. - `transactions.payments[].payment_method.type` (string, optional) Payment method selected when creaating the order. - `transactions.payments[].payment_method.installments` (integer, optional) Number of installments selected. - `transactions.payments[].payment_method.id` (string, optional) Payment method identifier or card brand. Access the "/v1/payment_methods" endpoint to check all the available payment methods and get a detailed list. - `transactions.payments[].card` (object, optional) Information about the card used to pay the order. This information will only be available if the order was paid with card (debit or credit). - `transactions.payments[].card.first_digits` (string, optional) Indicates the first digits of the card. - `transactions.payments[].card.last_digits` (string, optional) Indicates the last digits of the card. - `transactions.payments[].provider` (string, optional) Provider by which the payment was made. This field only applies to payments made with a QR code. Possible enum values: - `mercadopago` The payment was made within the Mercado Pago environment. - `external` The payment was made outside of the Mercado Pago environment. - `transactions.refunds` (array, optional) Contains information about the refund associated with the order. - `transactions.refunds[].id` (string, optional) Identifier of the refund transaction, automatically generated by Mercado Pago. - `transactions.refunds[].transaction_id` (string, optional) Identifier of the payment transaction that is being refunded, received in the response to its creation. - `transactions.refunds[].reference_id` (string, optional) ID that associates the payment and its refund. - `transactions.refunds[].amount` (string, optional) Refund amount. If the payment was tips, that amount will be reflected. - `transactions.refunds[].status` (string, optional) Current status of the refund. Possible enum values: - `processed` All transactions have been succesfully processed. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | bad_request | The order_id provided in the request path is not correct. Please confirm it and provide a valid ID to try again. | | 401 | unauthorized | The value sent as Access Token is incorrect. Please check and try again with the correct value. | | 404 | order_not_found | Order not found. Please check if you provided the correct order ID. | | 500 | 500 | Internal server error. Please try submitting the request again. | ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/v1/orders/{order_id}' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ## Response example ```json { "id": "ORD00001111222233334444555566", "user_id": "5238400195", "type": "point", "external_reference": "ext_ref_1234", "expiration_time": "PT16M", "processing_mode": "automatic", "description": "Smartphone", "country_code": "MX", "integration_data": { "application_id": "1234567890", "platform_id": "dev_1234567890", "integrator_id": "dev_123456", "sponsor": { "id": "446566691" } }, "status": "refunded", "status_detail": "refunded", "created_date": "2024-09-10T14:26:42.109320977Z", "last_updated_date": "2024-09-10T14:26:42.109320977Z", "config": { "point": { "terminal_id": "NEWLAND_N950__N950NCB801293324", "print_on_terminal": "no_ticket" }, "payment_method": { "default_type": "credit_card" } }, "transactions": { "payments": [ { "id": "PAY01J67CQQH5904WDBVZEM4JMEP3", "amount": "24.50", "refunded_amount": "38", "tip_amount": "14", "paid_amount": "50.00", "status": "refunded", "status_detail": "created", "reference_id": "12345678", "payment_method": { "type": null, "installments": null, "id": null }, "card": { "first_digits": null, "last_digits": null }, "provider": "mercadopago" } ], "refunds": [ { "id": "REF01J67CQQH5904WDBVZEM1234D", "transaction_id": "PAY01J67CQQH5904WDBVZEM4JMEP3", "reference_id": "12345678", "amount": "24.50", "status": "processed" } ] } } ```